Activate Agent Revision
POST /agents/{agent_id}/revisions/{revision_number}/activateRollback — the operator’s primary safety net, and one call.
Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
agent_id | path | string (uuid) | required | — |
revision_number | path | integer | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | AgentView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X POST https://your-deployment.example.com/agents/{agent_id}/revisions/{revision_number}/activate \ -H "Authorization: Bearer $COBRE_TOKEN"Response — AgentView
Section titled “Response — AgentView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
scope | workspace | organization | platform | required | — |
organization_id | string (uuid) | null | required, nullable | — |
workspace_id | string (uuid) | null | required, nullable | — |
slug | string | required | — |
name | string | required | — |
description | string | null | required, nullable | — |
avatar_preset | analyst | archivist | builder | courier | gardener | navigator | scribe | sentinel | null | required, nullable | — |
image_url | string | null | required, nullable | — |
is_active | boolean | required | — |
attributes | object | required | — |
active_revision_id | string (uuid) | null | required, nullable | — |
created_by_user_id | string (uuid) | null | required, nullable | — |
created_at | string (date-time) | required | — |
updated_at | string (date-time) | required | — |
active_revision | AgentRevisionView | null | optional | — |
revision_count | integer | null | optional | — |